#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k,i;
    scanf("%d %d",&n,&k);
    int m[n];
    for(i=0;i<n;i++){
        scanf("%d",&m[i]);
    }

    if(k==m[n-1]){
        printf("%d",m[0]);}

    else{
        i=0;
        while(m[i]!=k){
            i++;}
        printf("%d",m[i+1]);
    }
    return 0;
}